> For the complete documentation index, see [llms.txt](https://docs.dkargo.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dkargo.io/docs2-eng/validator-operations/claim.md).

# Claim

Claim is the process of withdrawing tokens from the Validator Wallet to the user's personal wallet.\
This step transfers ETH that was moved to the Wallet Contract during the unstaking process.

{% hint style="info" %}
Claim requires manually running the provided script from the Git Repository.

* ​<https://github.com/dKargo/dkargo-validator-utils>
  {% endhint %}

## STEP 1 - WithdrawStakerFunds

* This step withdraws ETH stored as `withdrawableFunds` in the rollup contract and transfers it to the Validator Wallet Contract.
* Once completed, the ETH will be held in the Validator Wallet Contract, ready for the final withdrawal.

```jsx
const res = await rollup.withdrawStakerFunds();

const receipt = await res.wait();

console.log(receipt.transactionHash)
```

## STEP 2 - Withdraw ETH

* The final step involves withdrawing the staked ETH from the Validator Wallet Contract.
* By calling the appropriate function, the ETH stored in the Validator Wallet will be transferred to the user’s personal wallet.

```jsx
const withdrawReq = await walletContract.withdrawEth(
	ethers.utils.parseEther(withdrawAmount), wallet.address
);

const reciept = await withdrawReq.wait();

console.log(receipt.transactionHash)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dkargo.io/docs2-eng/validator-operations/claim.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
